const R = require('ramda');

module.exports = {
    isNonEmptyString,
    isNonBlankString,
    isLambdaFunctionName
};

function isNonEmptyString(str) {
    return R.is(String, str) && !R.isEmpty(str);
}

function isNonBlankString(str) {
    return isNonEmptyString(str) && !!str.trim();
}

/**
 * Check if input string is a valid lambda function name
 * @param {string} str
 */
function isLambdaFunctionName(str) {
    if (!str) {
        return false;
    }
    // This regex can be used to check if the str
    // could be a valid lambda function name
    const lambdaFunctionNameRegex = /^([a-zA-Z0-9-_]+)$/;
    return lambdaFunctionNameRegex.test(str);
}
