const questions = require('@src/commands/init/questions');
const { expect } = require('chai');
const sinon = require('sinon');

describe('Command: Init - questions validate test', () => {
    describe('# test accessKeyID and accessSecretKey validators', () => {

        it('| invalid accessKeyID', () => {
            // call and verify
            expect(questions.REQUEST_ACCESS_SECRET_KEY_AND_ID[0].validate('')).equal('"AWS Access Key ID" cannot be empty.');
        });

        it('| valid accessKeyID', () => {
            // call and verify
            expect(questions.REQUEST_ACCESS_SECRET_KEY_AND_ID[0].validate('accessKeyID')).equal(true);
        });

        it('| invalid secretAccessKey', () => {
            // call and verify
            expect(questions.REQUEST_ACCESS_SECRET_KEY_AND_ID[1].validate('')).equal('"AWS Secret Access Key" cannot be empty.');
        });

        it('| valid secretAccessKey', () => {
            // call and verify
            expect(questions.REQUEST_ACCESS_SECRET_KEY_AND_ID[1].validate('secretAccessKey')).equal(true);
        });
    });
});
